Bug 103294 - new port: databases/gdl2 - GNUstep Database Library 2 (Enterprise Objects Framework)
Summary: new port: databases/gdl2 - GNUstep Database Library 2 (Enterprise Objects Fra...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-15 08:50 UTC by Gürkan
Modified: 2006-09-17 07:28 UTC (History)
0 users

See Also:


Attachments
gdl2.shar (10.63 KB, text/plain)
2006-09-15 08:50 UTC, Gürkan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gürkan 2006-09-15 08:50:21 UTC
The GNUstep Database Library 2 (GDL2) is a set of libraries to map
Objective-C objects to rows of relational database management systems
(RDBMS). It aims to be compatible with Enterprise Objects Framework (EOF)
as released with WebObjects 4.5 from Apple Inc.
This port also provides the GNUstep DBModeler and a Gorm GDL2 Palette.
Comment 1 Alexander Botero-Lowry freebsd_committer 2006-09-15 09:44:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alexbl

I will take it.
Comment 2 Dirk Meyer freebsd_committer 2006-09-16 00:30:29 UTC
State Changed
From-To: open->analyzed

- some problems with pkg-plist 
fell free to hand oover this pr to me
Comment 3 Alexander Botero-Lowry freebsd_committer 2006-09-16 00:38:48 UTC
Responsible Changed
From-To: alexbl->dinoex

dinoex wants these
Comment 4 dfilter service freebsd_committer 2006-09-17 07:16:01 UTC
dinoex      2006-09-17 06:15:55 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/gdl2       Makefile distinfo pkg-descr pkg-plist 
  Log:
  The GNUstep Database Library 2 (GDL2) is a set of libraries to map
  Objective-C objects to rows of relational database management systems
  (RDBMS). It aims to be compatible with Enterprise Objects Framework (EOF)
  as released with WebObjects 4.5 from Apple Inc.
  This port also provides the GNUstep DBModeler and a Gorm GDL2 Palette.
  PR:             103294
  Submitted by:   Gürkan Sengün
  Reviewed by:    alexbl
  
  Revision  Changes    Path
  1.542     +1 -0      ports/databases/Makefile
  1.1       +35 -0     ports/databases/gdl2/Makefile (new)
  1.1       +3 -0      ports/databases/gdl2/distinfo (new)
  1.1       +10 -0     ports/databases/gdl2/pkg-descr (new)
  1.1       +170 -0    ports/databases/gdl2/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dirk Meyer freebsd_committer 2006-09-17 07:26:39 UTC
State Changed
From-To: analyzed->closed

committed, thanks. 

- set USE_GNUSTEP_SYSTEM_LIBS [1] 
- set USE_GNUSTEP_CONFIGURE [1] 
- USE_PGSQL [1] 
- fix USE_LDCONFIG 
- rebuild pkg-plist from scratch 

[1] fixed by alexbl